## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname chalice

Name:           python-%{srcname}
Version:        1.31.1
Release:        %autorelease
Summary:        Python Serverless Microframework for AWS

License:        Apache-2.0
URL:            https://github.com/aws/chalice
# The PyPI tarball doesn't include tests so use GitHub instead
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
Chalice is a framework for writing serverless apps in python. It allows you to
quickly create and deploy applications that use AWS Lambda.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Relax inquirer version pin
sed -i "s:'inquirer.*$:'inquirer',:" setup.py

%generate_buildrequires
%pyproject_buildrequires -r requirements-test.in

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
# Skip tests requiring Internet access or deal with packaging
%pytest \
  --ignore=chalice/templates \
  --ignore=docs \
  --ignore=tests/aws/test_websockets.py \
  --ignore=tests/unit/deploy/test_packager.py \
  --ignore=tests/integration/test_package.py \
  --ignore=tests/aws/test_features.py \
  --deselect=tests/functional/cli/test_cli.py::test_can_generate_pipeline_for_all \
  --ignore=tests/functional/test_awsclient.py \

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{_bindir}/%{srcname}

%changelog
## START: Generated by rpmautospec
* Mon Jun 03 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.31.1-1
- Update to 1.31.1; Fixes: RHBZ#2283866

* Mon Apr 22 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.31.0-1
- Update to 1.31.0

* Thu Mar 07 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.30.0-4
- Unpin pip to allow newer version

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.30.0-1
- Initial import; Fixes: RHBZ#2223011
## END: Generated by rpmautospec
